{"info":{"description":"","title":"FRA Platform API","version":"1.0.0"},"openapi":"3.0.0","servers":[{"url":"/api"}],"tags":[{"name":"Published data"},{"name":"Cycle data"}],"paths":{"openapi":{"0":"3","1":".","2":"0","3":".","4":"0"},"/explorer/data":{"get":{"tags":["Published data"],"summary":"Get latest countries published table data","parameters":[{"$ref":"#/components/parameters/assessmentName"},{"$ref":"#/components/parameters/columns"},{"$ref":"#/components/parameters/countryISOs"},{"$ref":"#/components/parameters/fra2025tableNames"},{"$ref":"#/components/parameters/variables"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"description":"The resulting table data.","$ref":"#/components/schemas/RecordAssessmentData"},"example":{"fra":{"2025":{"FIN":{"extentOfForest":{"1990":{"forestArea":{"odp":true,"raw":"21875.33","odpId":231},"otherLand":{"odp":true,"raw":"7589.76999","odpId":231},"totalLandArea":{"odp":true,"raw":"30459","odpId":231}}}}}}}}}}}}},"/cycle-data/table/table-data":{"get":{"tags":["Cycle data"],"summary":"Get table data","parameters":[{"$ref":"#/components/parameters/assessmentName"},{"$ref":"#/components/parameters/countryIso"},{"$ref":"#/components/parameters/cycleName"},{"$ref":"#/components/parameters/columns"},{"$ref":"#/components/parameters/countryISOs"},{"in":"query","name":"mergeOdp","description":"A flag indicating whether to merge ODP data. Defaults to \"true\" if omitted.","required":false,"schema":{"type":"string","enum":["true","false"],"default":"true","example":"true"}},{"$ref":"#/components/parameters/fra2025tableNames"},{"$ref":"#/components/parameters/variables"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"description":"The resulting table data.","$ref":"#/components/schemas/RecordAssessmentData"},"example":{"fra":{"2025":{"FIN":{"extentOfForest":{"1990":{"total":{"odp":true,"raw":"21875.33","odpId":231},"otherLand":{"odp":true,"raw":"7589.76999","odpId":231},"forestArea":{"odp":true,"raw":"21875.33","odpId":231}}}}}}}}}},"401":{"description":"Unauthorized access."}}}},"/cycle-data/national-data-points/national-data-point":{"get":{"tags":["Cycle data"],"summary":"Get National Data Point","parameters":[{"$ref":"#/components/parameters/assessmentName"},{"$ref":"#/components/parameters/countryIso"},{"$ref":"#/components/parameters/cycleName"},{"in":"query","name":"year","description":"Year of the National Data Point. For example, \"1990\".","required":true,"schema":{"type":"string","example":"1990"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"description":"The resulting table data.","$ref":"#/components/schemas/NationalDataPoint"},"example":{"id":123,"countryIso":"ITA","year":2015,"dataSources":[{"uuid":"a1x2c3d4-e7f6-9a69-m0d1-f6i6f8d2w6c7","reference":"Example Reference Title, 2021.\nOrganization Name. Example Publisher.\nhttp://example.com/resource\n","type":["nationalForestInventory"],"comments":"Example comment about data source"}],"comments":{"extentOfForest":"<div>Extent of forest HTML-formatted comments</div>","forestCharacteristics":"<div>Forest characteristics HTML-formatted comments</div>"},"nationalClasses":[{"area":1813.24,"name":"Other Wooded Land","uuid":"a1b2c3d4-e5f6-7a89-b0c1-d2e3f4a5b6c7","definition":"Example definition text.","forestPercent":0,"forestNaturalPercent":null,"otherWoodedLandPercent":100,"forestPlantationPercent":null,"otherPlantedForestPercent":null,"forestPlantationIntroducedPercent":null},{"area":9297.08,"name":"Forest","uuid":"abcdef12-3456-7890-abcd-ef1234567890","definition":"Example definition text.","forestPercent":100,"forestNaturalPercent":93.12,"otherWoodedLandPercent":0,"forestPlantationPercent":1.36,"otherPlantedForestPercent":5.52,"forestPlantationIntroducedPercent":73.77}],"values":{"total":"9297.08","forestArea":"9297.08","plantedForest":"639.639104","primaryForest":null,"otherWoodedLand":"1813.24","totalForestArea":"9297.08","naturalForestArea":"8657.440896","plantationForestArea":"126.440288","primaryForestPercent":null,"otherPlantedForestArea":"513.198816","plantationForestIntroducedArea":"93.2750004576"}}}}},"401":{"description":"Unauthorized access."}}}},"/cycle-data/national-data-points":{"get":{"tags":["Cycle data"],"summary":"Get all National Data Points for a given country and cycle","parameters":[{"$ref":"#/components/parameters/assessmentName"},{"$ref":"#/components/parameters/countryIso"},{"$ref":"#/components/parameters/cycleName"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NationalDataPoint"}},"example":[{"id":123,"countryIso":"ITA","year":2015,"dataSources":[{"uuid":"a1x2c3d4-e7f6-9a69-m0d1-f6i6f8d2w6c7","reference":"Example Reference Title, 2021.\nOrganization Name. Example Publisher.\nhttp://example.com/resource\n","type":["nationalForestInventory"],"comments":"Example comment about data source"}],"comments":{"extentOfForest":"<div>Extent of forest HTML-formatted comments</div>","forestCharacteristics":"<div>Forest characteristics HTML-formatted comments</div>"},"nationalClasses":[{"area":1813.24,"name":"Other Wooded Land","uuid":"a1b2c3d4-e5f6-7a89-b0c1-d2e3f4a5b6c7","definition":"Example definition text."},{"area":9297.08,"name":"Forest","uuid":"abcdef12-3456-7890-abcd-ef1234567890","definition":"Example definition text."}],"values":{"total":"9297.08","forestArea":"9297.08","plantedForest":"639.639104","primaryForest":null,"otherWoodedLand":"1813.24","totalForestArea":"9297.08","naturalForestArea":"8657.440896","plantationForestArea":"126.440288","primaryForestPercent":null,"otherPlantedForestArea":"513.198816","plantationForestIntroducedArea":"93.2750004576"}}]}}},"401":{"description":"Unauthorized access."}}}},"/cycle-data/descriptions":{"get":{"tags":["Cycle data"],"summary":"Get Descriptions by cycle and country","parameters":[{"$ref":"#/components/parameters/assessmentName"},{"$ref":"#/components/parameters/countryIso"},{"$ref":"#/components/parameters/cycleName"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescriptionCountryValues"},"example":{"FIN":{"carbonStock":{"dataSources":{"text":"<p>HTML-formatted content</p>","dataSources":[{"type":"nationalForestInventory","uuid":"a1b2c3d4-e5f6-7a89-b0c1-d2e3f4a5b6c7","year":"2019-2022","comments":"","reference":"<p>Reference text</p>","variables":["carbon_forest_above_ground","carbon_forest_below_ground"]}]},"generalComments":{"text":"<p>HTML-formatted content</p>"}},"disturbances":{"generalComments":{"text":"<p>HTML-formatted content</p>"}},"extentOfForest":{"generalComments":{"text":"<p>HTML-formatted content</p>"}},"forestPolicy":{"dataSources":{"text":"<p>HTML-formatted content</p>"},"generalComments":{"text":"<p>HTML-formatted content</p>"}}}}}}},"401":{"description":"Unauthorized access."}}}}},"components":{"schemas":{"RecordRowData":{"title":"Record<VariableName, NodeValue>","type":"object","description":"Mapping of variable names (e.g., \"forestArea\", \"otherWoodedLand\") to their corresponding NodeValue.","additionalProperties":{"$ref":"#/components/schemas/NodeValue"}},"RecordColumnData":{"title":"Record<ColName, RecordRowData>","type":"object","description":"Mapping of column names (e.g., \"1990\", \"2020\") to row data for that column.","additionalProperties":{"$ref":"#/components/schemas/RecordRowData"}},"RecordTableData":{"title":"Record<TableName, RecordColumnData>","type":"object","description":"Mapping of table names (e.g., \"extentOfForest\", \"forestOwnership\") to column data for each table.","additionalProperties":{"$ref":"#/components/schemas/RecordColumnData"}},"RecordCountryData":{"title":"Record<AreaCode, RecordTableData>","type":"object","description":"Mapping of area codes (ISO country codes like \"FIN\", or region codes like \"EU\") to table data.","additionalProperties":{"$ref":"#/components/schemas/RecordTableData"}},"RecordCycleData":{"title":"Record<CycleName, RecordCountryData>","type":"object","description":"Mapping of cycle names (e.g., \"2020\", \"2025\") to country or region-level data.","additionalProperties":{"$ref":"#/components/schemas/RecordCountryData"}},"RecordAssessmentData":{"title":"Record<AssessmentName, RecordCycleData>","type":"object","description":"Mapping of assessment names (e.g., \"fra\", \"panEuropean\") to their respective cycle data.","additionalProperties":{"$ref":"#/components/schemas/RecordCycleData"}},"NDPDataSourceMethod":{"type":"string","enum":["fullCoverMaps","nationalForestInventory","other","registersQuestionnaires","sampleBasedRemoteSensingAssessment"]},"NDPDataSource":{"type":"object","properties":{"uuid":{"type":"string"},"reference":{"type":"string","nullable":true},"type":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/NDPDataSourceMethod"}},"comments":{"type":"string","nullable":true}}},"NDPNationalClass":{"type":"object","properties":{"area":{"type":"number","nullable":true},"definition":{"type":"string"},"forestNaturalPercent":{"type":"number","nullable":true},"forestPercent":{"type":"number","nullable":true},"forestPlantationIntroducedPercent":{"type":"number","nullable":true},"forestPlantationPercent":{"type":"number","nullable":true},"name":{"type":"string"},"otherPlantedForestPercent":{"type":"number","nullable":true},"otherWoodedLandPercent":{"type":"number","nullable":true},"uuid":{"type":"string"}}},"NationalDataPointValues":{"type":"object","properties":{"forestArea":{"type":"string","nullable":true},"naturalForestArea":{"type":"string","nullable":true},"otherPlantedForestArea":{"type":"string","nullable":true},"otherWoodedLand":{"type":"string","nullable":true},"plantationForestArea":{"type":"string","nullable":true},"plantationForestIntroducedArea":{"type":"string","nullable":true},"plantedForest":{"type":"string","nullable":true},"primaryForest":{"type":"string","nullable":true},"primaryForestPercent":{"type":"string","nullable":true},"total":{"type":"string","nullable":true},"totalForestArea":{"type":"string","nullable":true}}},"NationalDataPoint":{"type":"object","required":["countryIso","id","values"],"properties":{"countryIso":{"type":"string"},"dataSources":{"type":"array","items":{"$ref":"#/components/schemas/NDPDataSource"}},"comments":{"type":"object","description":"HTML-formatted comments split by section.","properties":{"extentOfForest":{"type":"string","description":"Extent of forest comments"},"forestCharacteristics":{"type":"string","description":"Forest characteristics comments"}}},"id":{"type":"integer"},"nationalClasses":{"type":"array","items":{"$ref":"#/components/schemas/NDPNationalClass"}},"values":{"$ref":"#/components/schemas/NationalDataPointValues"},"year":{"type":"integer"}}},"NodeValue":{"type":"object","properties":{"calculated":{"type":"boolean"},"estimationUuid":{"type":"string"},"faoEstimate":{"type":"boolean"},"imported":{"type":"boolean"},"odpId":{"type":"integer"},"raw":{"type":"object"},"taxonCode":{"type":"string"},"estimated":{"type":"boolean","deprecated":true}}},"CommentableDescriptionName":{"type":"string","enum":["dataSources","estimationAndForecasting","generalComments","introductoryText","nationalClassificationAndDefinitions","originalData","reclassification"]},"DataSource":{"type":"object","properties":{"comments":{"type":"string"},"placeholder":{"type":"boolean"},"reference":{"type":"string"},"type":{"type":"string"},"uuid":{"type":"string"},"variables":{"type":"array","items":{"type":"string"}},"year":{"type":"string"}},"required":["comments","reference","type","year"]},"CommentableDescriptionValue":{"type":"object","description":"Text and optional data sources associated with a commentable description.","properties":{"text":{"type":"string"},"dataSources":{"type":"array","items":{"$ref":"#/components/schemas/DataSource"}}},"required":["text"]},"DescriptionValues":{"title":"Record<CommentableDescriptionName, CommentableDescriptionValue>","type":"object","description":"Mapping of description field names (e.g., \"dataSources\", \"generalComments\") to their respective values.","additionalProperties":{"$ref":"#/components/schemas/CommentableDescriptionValue"}},"DescriptionSectionValues":{"title":"Record<SectionName, DescriptionValues>","type":"object","description":"Mapping of section names (e.g., \"annualReforestation\") to description values.","additionalProperties":{"$ref":"#/components/schemas/DescriptionValues"}},"DescriptionCountryValues":{"title":"Record<CountryIso, DescriptionSectionValues>","type":"object","description":"Mapping of country ISO codes (e.g., \"FIN\") to their description data.","additionalProperties":{"$ref":"#/components/schemas/DescriptionSectionValues"}}},"parameters":{"fra2025tableNames":{"name":"tableNames[]","in":"query","description":"Array of table names. For example, [\"extentOfForest\"].","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["areaAffectedByFire","areaOfPermanentForestEstate","biomassStock_biomassStockStatus","biomassStock_biomassStockStatus_Description","biomassStockAvg","biomassStockTotal","carbonStockAvg","carbonStockSoilDepth","carbonStockTotal","climaticDomain","contactPersons","degradedForest2025","degradedForestMonitoring2025","disturbances","extentOfForest","extentOfForest_forestAreaStatusAndTrend","extentOfForest_forestAreaStatusAndTrend_Description","forestAreaChange","forestAreaWithinProtectedAreas","forestCharacteristics","forestOwnership","forestPolicy","forestRestoration","growingStock_growingStockStatus","growingStock_growingStockStatus_Description","growingStockAvg","growingStockComposition2025","growingStockTotal","holderOfManagementRights","nonWoodForestProductsRemovals","nonWoodForestProductsRemovalsCurrency","otherLandWithTreeCover","primaryDesignatedManagementObjective","primaryForestByClimaticDomain","specificForestCategories","sustainableDevelopment15_1_1","sustainableDevelopment15_2_1_1","sustainableDevelopment15_2_1_2","sustainableDevelopment15_2_1_3","sustainableDevelopment15_2_1_4","sustainableDevelopment15_2_1_5","totalAreaWithDesignatedManagementObjective"]},"example":["extentOfForest"]}},"columns":{"name":"columns[]","in":"query","description":"Array of columns to retrieve. For example, [\"1990\", \"2000\"].","required":false,"schema":{"type":"array","items":{"type":"string"},"example":["1990","2000"]},"style":"form","explode":true},"countryISOs":{"name":"countryISOs[]","in":"query","description":"Array of country ISO codes. For example, [\"FIN\", \"ITA\"].","required":true,"schema":{"type":"array","items":{"type":"string"},"example":["FIN","ITA"]},"style":"form","explode":true},"variables":{"name":"variables[]","in":"query","description":"Array of variable names to retrieve. For example, [\"forestArea\", \"otherWoodedLand\"].","required":false,"schema":{"type":"array","items":{"type":"string"},"example":["forestArea","otherWoodedLand"]},"style":"form","explode":true},"assessmentName":{"name":"assessmentName","in":"query","required":true,"description":"The name of the assessment.","schema":{"type":"string","enum":["fra"]}},"cycleName":{"name":"cycleName","in":"query","required":true,"description":"The name of the cycle. For example, \"2020\".","schema":{"type":"string","enum":["2020","2025","latest"],"example":2025}},"countryIso":{"name":"countryIso","in":"query","required":true,"description":"A country ISO code like \"FIN\".","schema":{"enum":["ABW","AFG","AGO","AIA","ALB","AND","ARE","ARG","ARM","ASM","ATG","AUS","AUT","AZE","BDI","BEL","BEN","BES","BFA","BGD","BGR","BHR","BHS","BIH","BLM","BLR","BLZ","BMU","BOL","BRA","BRB","BRN","BTN","BWA","CAF","CAN","CHE","CHL","CHN","CIV","CMR","COD","COG","COK","COL","COM","CPV","CRI","CUB","CUW","CYM","CYP","CZE","DEU","DJI","DMA","DNK","DOM","DZA","ECU","EGY","ERI","ESH","ESP","EST","ETH","FIN","FJI","FLK","FRA","FRO","FSM","GAB","GBR","GEO","GGY","GHA","GIB","GIN","GLP","GMB","GNB","GNQ","GRC","GRD","GRL","GTM","GUF","GUM","GUY","HND","HRV","HTI","HUN","IDN","IMN","IND","IRL","IRN","IRQ","ISL","ISR","ITA","JAM","JEY","JOR","JPN","KAZ","KEN","KGZ","KHM","KIR","KNA","KOR","KWT","LAO","LBN","LBR","LBY","LCA","LIE","LKA","LSO","LTU","LUX","LVA","MAF","MAR","MCO","MDA","MDG","MDV","MEX","MHL","MKD","MLI","MLT","MMR","MNE","MNG","MNP","MOZ","MRT","MSR","MTQ","MUS","MWI","MYS","MYT","NAM","NCL","NER","NFK","NGA","NIC","NIU","NLD","NOR","NPL","NRU","NZL","OMN","PAK","PAN","PCN","PER","PHL","PLW","PNG","POL","PRI","PRK","PRT","PRY","PSE","PYF","QAT","REU","ROU","RUS","RWA","SAU","SDN","SEN","SGP","SHN","SJM","SLB","SLE","SLV","SMR","SOM","SPM","SRB","SSD","STP","SUR","SVK","SVN","SWE","SWZ","SXM","SYC","SYR","TCA","TCD","TGO","THA","TJK","TKL","TKM","TLS","TON","TTO","TUN","TUR","TUV","TZA","UGA","UKR","URY","USA","UZB","VAT","VCT","VEN","VGB","VIR","VNM","VUT","WLF","WSM","YEM","ZAF","ZMB","ZWE"],"example":"ABW","type":"string"}}}}}